com.orsoncharts.graphics3d

## Class Offset2D

- java.lang.Object
- - com.orsoncharts.graphics3d.Offset2D

- All Implemented Interfaces:
    java.io.Serializable

      public final class Offset2D
      extends java.lang.Object
      implements java.io.Serializable

  An offset `(dx, dy)` in two dimensional space. Instances of this class are immutable.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Offset2D` | `ZERO_OFFSET` Zero offset.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Offset2D()` Default constructor (`(0, 0)`).
    `Offset2D(double dx, double dy)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
    `double` | `getDX()` Returns the x-offset.
    `double` | `getDY()` Returns the y-offset.
    `int` | `hashCode()` Returns a hash code for this instance.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZERO_OFFSET

          public static final Offset2D ZERO_OFFSET

      Zero offset.

  - ### Constructor Detail

    - #### Offset2D

          public Offset2D()

      Default constructor (`(0, 0)`).

    - #### Offset2D

          public Offset2D(double dx,
                          double dy)

      Creates a new instance.
      Parameters:
        `dx` - the x-offset.
        `dy` - the y-offset.

  - ### Method Detail

    - #### getDX

          public double getDX()

      Returns the x-offset.
      Returns:
        The x-offset.

    - #### getDY

          public double getDY()

      Returns the y-offset.
      Returns:
        The y-offset.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this instance for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code for this instance.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        A hash code.